SuperStrict

' required modules
Framework MaxGUI.Drivers
Import BRL.EventQueue
Import Holzchopf.MaxGuiLayout

' create window layout manager
Local lmWindow:TMaxGuiLayout = TMaxGuiLayout.Create(0,0,0,0)
' and let that one appear as window
lmWindow.Window("Example 2", 0,0, Null, WINDOW_TITLEBAR | WINDOW_CENTER)
' create some groups
For Local g:Int = 0 Until 3
	lmWindow.AddRight(100)
	lmWindow.sub[g,0].Panel("Group "+(g+1),, PANEL_GROUP)
	lmWindow.sub[g,0].SetSpacing(0,0)
	' with some radio buttons in it
	For Local a:Int = 0 Until 5
		lmWindow.sub[g,0].AddBottom(20)
		lmWindow.sub[g,0].sub[0,a].Button("Button "+(a+1),, BUTTON_RADIO)
	Next
	' size group to size of buttons
	lmWindow.sub[g,0].FitToContents()
Next
' size window to size of groups
lmWindow.FitToContents()

' main loop with standard event handling
Repeat
	WaitEvent()
	Print CurrentEvent.ToString()
	Select EventID()
	Case EVENT_WINDOWCLOSE
		End
	End Select
Forever